Overview | Modules | Class Hierarchy | Classes | Members

# tlp::QuadTreeNode Class Reference

`#include <QuadTree.h>`

Collaboration diagram for tlp::QuadTreeNode:

[legend]
List of all members.

## Public Member Functions

- QuadTreeNode (const BBox &box)
- ~QuadTreeNode ()
- void insert (const BBox &box, const unsigned int id)
- void insert (const BBox &box, const unsigned long address)
- void getElements (const BBox &box, std::vector< unsigned int > *resultForInt, std::vector< unsigned long > *resultForLong) const
- void getElements (std::vector< unsigned int > *resultForInt, std::vector< unsigned long > *resultForLong) const
- void getElementsWithRatio (const BBox &box, std::vector< unsigned int > *resultForInt, std::vector< unsigned long > *resultForLong, float ratio=1000.) const

## Constructor & Destructor Documentation

tlp::QuadTreeNode::QuadTreeNode | ( | const BBox & | box | ) | `[inline]`

tlp::QuadTreeNode::~QuadTreeNode | ( |  | ) | `[inline]`

## Member Function Documentation

void tlp::QuadTreeNode::getElements | ( | std::vector< unsigned int > * | resultForInt,
|  | std::vector< unsigned long > * | resultForLong
| ) | const`[inline]`

void tlp::QuadTreeNode::getElements | ( | const BBox & | box,
|  | std::vector< unsigned int > * | resultForInt,
|  | std::vector< unsigned long > * | resultForLong
| ) | const`[inline]`

void tlp::QuadTreeNode::getElementsWithRatio | ( | const BBox & | box,
|  | std::vector< unsigned int > * | resultForInt,
|  | std::vector< unsigned long > * | resultForLong,
|  | float | ratio = `1000.`
| ) | const`[inline]`

void tlp::QuadTreeNode::insert | ( | const BBox & | box,
|  | const unsigned long | address
| ) | `[inline]`

void tlp::QuadTreeNode::insert | ( | const BBox & | box,
|  | const unsigned int | id
| ) | `[inline]`

Tulip Software by LaBRI Visualization Team 2001 - 2010